local function SkilletValue_GetItemValue(itemIndex)
  local itemName = GetTradeSkillInfo(itemIndex)
  local link = nil
  
  --[[
  if itemName:find("Enchant ") then 
    itemName = "Scroll of "..itemName 
    local _, newLink = GetItemInfo(itemName)
    link = newLink
    DEFAULT_CHAT_FRAME:AddMessage(newLink)
  else ]]--
  if not itemName:find("Glyph of ") then 
    return 0 
  end
  
  if not link then link = Skillet:GetTradeskillItemLink(itemIndex) end
  if link then
    return AucAdvanced.API.GetMarketValue(link) or 0
  else
    return 0
  end
end

local function sort_recipe_by_aucvalue(tradeskill, a, b)
  return SkilletValue_GetItemValue(a) < SkilletValue_GetItemValue(b)
end

local orig_get_extra = Skillet.GetExtraItemDetailText
Skillet.GetExtraItemDetailText = function(obj, tradeskill, skill_index)
    local before = orig_get_extra(obj, tradeskill, skill_index)
    local value = SkilletValue_GetItemValue(skill_index)
    local result = "\n"
    if value > 0 then
        result = result.."SimpleAuction: "..AucAdvanced.Coins(value)

        -- Undercut value
        local itemLink = Skillet:GetTradeskillItemLink(skill_index)
        local uc = AucAdvanced.Modules.Match.Undercut.GetMatchArray(itemLink,value)
        if uc then
            result = result.."\nUndercut: "..AucAdvanced.Coins(uc.value)..
              " ("..uc.competing.." listed)"
        end
        
        if before then
            return before .. result
        else
            return result
        end
    else
        return before
    end
end

Skillet:AddRecipeSorter('Glyph AH Value', sort_recipe_by_aucvalue)